run: exercise_06_23
	./exercise_06_23
	
exercise_06_23: exercise_06_23.o .gitignore
	clang++ exercise_06_23.o -o exercise_06_23
	
exercise_06_23.ii: exercise_06_23.cpp
	clang++ -E exercise_06_23.cpp -o exercise_06_23.ii
	
exercise_06_23.s: exercise_06_23.ii
	clang++ -S exercise_06_23.ii -o exercise_06_23.s
	
exercise_06_23.o: exercise_06_23.s
	clang++ -c exercise_06_23.s -o exercise_06_23.o
	
.gitignore:
	echo exercise_06_23 > .gitignore
	
clean:
	rm *.ii *.o *.s exercise_06_23 .gitignore
